Name:           calcurse
Version:        2.9.2
Release:        1%{?dist}
Summary:        Text-based personal organizer

Group:          Applications/Productivity
License:        BSD
URL:            http://calcurse.org
Source0:        http://calcurse.org/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext ncurses-devel

%description
Calcurse is a text-based calendar and scheduling application. It helps 
keep track of events, appointments, and everyday tasks.

A configurable notification system reminds the user of upcoming 
deadlines, and the curses based interface can be customized to suit user 
needs.

%prep
%setup -q
chmod a-x src/*.{c,h} AUTHORS NEWS README TODO

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -p -m 0644 doc/calcurse.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS NEWS README TODO doc/
%{_bindir}/calcurse
%{_mandir}/man1/calcurse.1.gz


%changelog
* Mon Sep 12 2011 Jon Ciesla <limb@jcomserv.net> 2.9.2-1
- New upstream.

* Tue Sep 06 2011 Jon Ciesla <limb@jcomserv.net> 2.9.1-1
- New upstream.

* Wed Jun 01 2011 Jon Ciesla <limb@jcomserv.net> 2.9.0-1
- New upstream.

* Wed Apr 06 2011 Jon Ciesla <limb@jcomserv.net> 2.8-3
- Updated URL and Source0 URL.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 07 2010 Jon Ciesla <limb@jcomserv.net> 2.8-1
- Update to 2.8.

* Tue Aug 25 2009 Jon Ciesla <limb@jcomserv.net> 2.7-1
- Update to 2.7.

* Tue Jul 28 2009 Jon Ciesla <limb@jcomserv.net> 2.6-1
- Update to 2.6.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 27 2009 Jon Ciesla <limb@jcomserv.net> 2.5-1
- Update to 2.5.

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 21 2009 Jon Ciesla <limb@jcomserv.net> 2.4-1
- Update to 2.4.

* Wed Oct 22 2008 Jon Ciesla <limb@jcomserv.net> 2.3-1
- Update to 2.3.

* Thu Aug 28 2008 Jon Ciesla <limb@jcomserv.net> 2.2-1
- Update to 2.2.

* Tue Aug 12 2008 Jon Ciesla <limb@jcomserv.net> 2.1-1
- Update to 2.1.

* Tue Apr 01 2008 Jon Ciesla <limb@jcomserv.net> 2.0-1
- Update to 2.0.

* Fri Feb 08 2008 Jon Ciesla <limb@jcomserv.net> 1.9-2
- GCC 4.3 rebuild.

* Thu Oct 25 2007 Jon Ciesla <limb@jcomserv.net> 1.9-1
- Update to 1.9.
- License tag correction.

* Wed May 30 2007 Nigel Jones <dev@nigelj.com> 1.8-2
- Minor touchups to spec file

* Wed May 23 2007 Nigel Jones <dev@nigelj.com> 1.8-1
- Initial SPEC file

